import React from "react";
import { CommonAndHTMLProps, WeightTypes } from "../Element/constants";
export interface TextCustomProps {
    isSans?: boolean;
    isSerif?: boolean;
    isMono?: boolean;
    isSubtext?: boolean;
    weight?: WeightTypes;
    size?: "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    align?: "left" | "centre" | "center" | "right";
}
export declare type TextElementType = HTMLParagraphElement;
export declare type TextProps = Omit<CommonAndHTMLProps<TextElementType>, keyof TextCustomProps> & TextCustomProps;
export declare const Text: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLParagraphElement>, keyof TextCustomProps> & TextCustomProps & React.RefAttributes<HTMLParagraphElement>>;
